## oonf-olsrd2-v0.15.1.tar.bz2

=== examples/CMakeLists.txt ===
# add example directories
include_directories(.)

add_subdirectory(rfc5444_reader_writer)
