=== tests/CMakeLists.txt ===
# add test directories
include_directories(.)

add_subdirectory(cunit)
add_subdirectory(common)
add_subdirectory(config)
add_subdirectory(rfc5444)
