=== src-plugins/nhdp/CMakeLists.txt ===
# add subdirectories
add_subdirectory(auto_ll4)
add_subdirectory(constant_metric)
add_subdirectory(nhdpcheck)
add_subdirectory(hysteresis_olsrv1)
add_subdirectory(ff_dat_metric)
add_subdirectory(mpr)
add_subdirectory(neighbor_probing)
add_subdirectory(nhdp)
add_subdirectory(nhdpinfo)
